#pragma once


#include "behaviour.h"
#include "LDTypes.h"



class BehaviourSpillBonus : public Behaviour
{


  public:


    LD::ObjectType  m_Bonus;
    int             m_MinBonus;
    int             m_MaxBonus;



    BehaviourSpillBonus( LD::ObjectType Bonus, int MinCount, int MaxCount );


    virtual void    UpdateFixed( Level& Level, GameObject* pObj );


    virtual void    OnEvent( Level& Level, const std::string& Event, GameObject* pObj, GameObject* pOtherObject );

};
