#pragma once

#include <string>


class Level;
class GameObject;

class Behaviour
{
  
  public:


    Behaviour();
    virtual ~Behaviour();



    virtual void    UpdateFixed( Level& Level, GameObject* pObj );
    virtual void    Update( Level& Level, float ElapsedTime, GameObject* pObj );

    virtual void    OnEvent( Level& Level, const std::string& Event, GameObject* pObj, GameObject* pOtherObject );

};
