#include "BehaviourShortLived.h"
#include "Level.h"
#include "LD.h"



BehaviourShortLived::BehaviourShortLived( float MinTime, float MaxTime )
{
  m_LifeTime = MinTime + ( MaxTime - MinTime ) * rand() / (float)RAND_MAX;

}



void BehaviourShortLived::Update( Level& Level, float ElapsedTime, GameObject* pObj )
{

  m_LifeTime -= ElapsedTime;
  if ( m_LifeTime <= 0.0f )
  {
    pObj->m_RemoveMe = true;
  }

}



