#include "BehaviourSpillBonus.h"
#include "Level.h"
#include "LD.h"



BehaviourSpillBonus::BehaviourSpillBonus( LD::ObjectType Bonus, int MinCount, int MaxCount )
{
  m_Bonus = Bonus;
  m_MinBonus = MinCount;
  m_MaxBonus = MaxCount;
}



void BehaviourSpillBonus::UpdateFixed( Level& Level, GameObject* pObj )
{

}



void BehaviourSpillBonus::OnEvent( Level& Level, const std::string& Event, GameObject* pObj, GameObject* pOtherObject )
{
  if ( ( Event == "Killed" )
  ||   ( Event == "Opened" ) )
  {
    int     count = m_MinBonus + ( rand() % ( m_MaxBonus - m_MinBonus + 1 ) );

    for ( int i = 0; i < count; ++i )
    {
      GameObject*   pBonusObj = new GameObject( pObj->m_X, pObj->m_Y, m_Bonus );
      Level.AddObject( pBonusObj );
    }
  }
}